## vidalia 0.2.15

=== src/common/CMakeLists.txt ===
##
##  $Id$
## 
##  This file is part of Vidalia, and is subject to the license terms in the
##  LICENSE file, found in the top level directory of this distribution. If 
##  you did not receive the LICENSE file with this file, you may obtain it
##  from the Vidalia source package distributed by the Vidalia Project at
##  http://www.torproject.org/projects/vidalia.html. No part of Vidalia, 
##  including this file, may be copied, modified, propagated, or distributed 
##  except according to the terms described in the LICENSE file.
##


set(common_SRCS
  crypto.cpp
  file.cpp
  html.cpp
  Log.cpp
  net.cpp
  procutil.cpp
  stringutil.cpp
  TorSocket.cpp
)
qt4_wrap_cpp(common_SRCS 
  TorSocket.h
)

if(WIN32)
  set(common_SRCS ${common_SRCS}
    win32.cpp
  )
endif(WIN32)


add_library(common STATIC ${common_SRCS})
target_link_libraries(common
  ${QT_QTCORE_LIBRARY}
  ${QT_QTNETWORK_LIBRARY}
)

=== src/vidalia/CMakeLists.txt ===
##
##  $Id$
## 
##  This file is part of Vidalia, and is subject to the license terms in the
##  LICENSE file, found in the top level directory of this distribution. If 
##  you did not receive the LICENSE file with this file, you may obtain it
##  from the Vidalia source package distributed by the Vidalia Project at
##  http://www.torproject.org/projects/vidalia.html. No part of Vidalia, 
##  including this file, may be copied, modified, propagated, or distributed 
##  except according to the terms described in the LICENSE file.
##


include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/about
  ${CMAKE_CURRENT_SOURCE_DIR}/bwgraph
  ${CMAKE_CURRENT_SOURCE_DIR}/config
  ${CMAKE_CURRENT_SOURCE_DIR}/help/browser
  ${CMAKE_CURRENT_SOURCE_DIR}/log
  ${CMAKE_CURRENT_SOURCE_DIR}/network
  ${MARBLE_INCLUDE_DIR}
)

if (USE_BREAKPAD AND BREAKPAD_INCLUDE_DIR)
  include_directories(${BREAKPAD_INCLUDE_DIR})
endif(USE_BREAKPAD AND BREAKPAD_INCLUDE_DIR)
if (USE_GEOIP AND GEOIP_INCLUDE_DIR)
  include_directories(${GEOIP_INCLUDE_DIR})
endif(USE_GEOIP AND GEOIP_INCLUDE_DIR)

if (USE_MARBLE)
  if (APPLE OR WIN32)
  ##
  ## XXX: The Marble build system on OS X currently doesn't actually install the
  ## required include files to /usr/local/include or similar. Instead, we have
  ## to pluck them directly from the source tree. Ick.
  ##
    include_directories(
      ${MARBLE_INCLUDE_DIR}/AbstractLayer
      ${MARBLE_INCLUDE_DIR}/geodata
      ${MARBLE_INCLUDE_DIR}/geodata/data
      ${MARBLE_INCLUDE_DIR}/geodata/handlers
      ${MARBLE_INCLUDE_DIR}/geodata/parser
      ${MARBLE_INCLUDE_DIR}/geodata/scene
      ${MARBLE_INCLUDE_DIR}/Projections
    )
  endif(APPLE OR WIN32)
endif(USE_MARBLE)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/res/vidalia_win.rc.in
  ${CMAKE_CURRENT_SOURCE_DIR}/res/vidalia_win.rc
)
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/i18n/vidalia_i18n.qrc
  ${CMAKE_CURRENT_BINARY_DIR}/i18n/vidalia_i18n.qrc
)

## Process the translation files
add_subdirectory(i18n)

## About dialog sources
set(vidalia_SRCS 
  about/AboutDialog.cpp
  about/LicenseDialog.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  about/AboutDialog.h
  about/LicenseDialog.h
)

## Bandwidth graph sources
set(vidalia_SRCS ${vidalia_SRCS}
  bwgraph/BandwidthGraph.cpp
  bwgraph/GraphFrame.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  bwgraph/BandwidthGraph.h
  bwgraph/GraphFrame.h
)

## Configuration dialog sources
set(vidalia_SRCS ${vidalia_SRCS}
  config/AbstractTorSettings.cpp
  config/AdvancedPage.cpp
  config/AppearancePage.cpp
  config/BridgeDownloader.cpp
  config/BridgeDownloaderProgressDialog.cpp
  config/BridgeUsageDialog.cpp
  config/ConfigDialog.cpp
  config/ConfigPageStack.cpp
  config/DomainValidator.cpp
  config/ExitPolicy.cpp
  config/GeneralPage.cpp
  config/IpValidator.cpp
  config/Local8BitStringValidator.cpp
  config/NetworkPage.cpp
  config/NetworkSettings.cpp
  config/NicknameValidator.cpp
  config/Policy.cpp
  config/PortValidator.cpp
  config/ServerPage.cpp
  config/ServerSettings.cpp
  config/Service.cpp
  config/ServiceList.cpp
  config/ServicePage.cpp
  config/TorrcDialog.cpp
  config/ServiceSettings.cpp
  config/TorSettings.cpp
  config/VidaliaSettings.cpp
  config/VSettings.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  config/AbstractTorSettings.h
  config/AdvancedPage.h
  config/AppearancePage.h
  config/BridgeDownloader.h
  config/BridgeDownloaderProgressDialog.h
  config/BridgeUsageDialog.h
  config/ConfigDialog.h
  config/ConfigPage.h
  config/ConfigPageStack.h
  config/DomainValidator.h
  config/GeneralPage.h
  config/Local8BitStringValidator.h
  config/NetworkPage.h
  config/NetworkSettings.h
  config/NicknameValidator.h
  config/PortValidator.h
  config/ServerPage.h
  config/ServerSettings.h
  config/ServicePage.h
  config/TorrcDialog.h
  config/TorSettings.h
  config/VidaliaSettings.h
  config/VSettings.h
)
if (USE_MINIUPNPC)
  include_directories(${MINIUPNPC_INCLUDE_DIR})
  set(vidalia_SRCS ${vidalia_SRCS}
    config/UPNPControl.cpp
    config/UPNPControlThread.cpp
    config/UPNPTestDialog.cpp
  )
  qt4_wrap_cpp(vidalia_SRCS
    config/UPNPControl.h
    config/UPNPControlThread.h
    config/UPNPTestDialog.h
  )
endif(USE_MINIUPNPC)

## Help browser sources
set(vidalia_SRCS ${vidalia_SRCS}
  help/browser/HelpBrowser.cpp
  help/browser/HelpTextBrowser.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  help/browser/HelpBrowser.h
  help/browser/HelpTextBrowser.h
)

## Message log sources
set(vidalia_SRCS ${vidalia_SRCS}
  log/LogFile.cpp
  log/LogHeaderView.cpp
  log/LogMessageColumnDelegate.cpp
  log/LogTreeItem.cpp
  log/LogTreeWidget.cpp
  log/MessageLog.cpp
  log/StatusEventItem.cpp
  log/StatusEventItemDelegate.cpp
  log/StatusEventWidget.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  log/LogFile.h
  log/LogHeaderView.h
  log/LogTreeWidget.h
  log/MessageLog.h
  log/StatusEventItemDelegate.h
  log/StatusEventWidget.h
)

## Network map sources
set(vidalia_SRCS ${vidalia_SRCS}
  network/CircuitItem.cpp
  network/CircuitListWidget.cpp
  network/CountryInfo.cpp
  network/GeoIpRecord.cpp
  network/GeoIpResolver.cpp
  network/NetViewer.cpp
  network/RouterDescriptorView.cpp
  network/RouterInfoDialog.cpp
  network/RouterListItem.cpp
  network/RouterListWidget.cpp
  network/StreamItem.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  network/CircuitListWidget.h
  network/CountryInfo.h
  network/GeoIpResolver.h
  network/NetViewer.h
  network/RouterDescriptorView.h
  network/RouterInfoDialog.h
  network/RouterListWidget.h
)
if (USE_MARBLE)
  set(vidalia_SRCS ${vidalia_SRCS}
    network/TorMapWidget.cpp
    network/TorMapWidgetInputHandler.cpp
    network/TorMapWidgetPopupMenu.cpp
  )
  qt4_wrap_cpp(vidalia_SRCS
    network/TorMapWidget.h
    network/TorMapWidgetInputHandler.h
    network/TorMapWidgetPopupMenu.h
  )
else(USE_MARBLE)
  set(vidalia_SRCS ${vidalia_SRCS}
    network/TorMapImageView.cpp
    network/ZImageView.cpp
  )
  qt4_wrap_cpp(vidalia_SRCS
    network/TorMapImageView.h
    network/ZImageView.h
  )
endif(USE_MARBLE)
if (USE_GEOIP)
  set(vidalia_SRCS ${vidalia_SRCS}
    network/GeoIpDatabase.cpp
  )
  qt4_wrap_cpp(vidalia_SRCS
    network/GeoIpDatabase.h
  )
endif(USE_GEOIP)

## Main Vidalia sources
set(vidalia_SRCS ${vidalia_SRCS}
  main.cpp
  Vidalia.cpp
  LanguageSupport.cpp
  MainWindow.cpp
  VClickLabel.cpp
  VidaliaWindow.cpp
  VMessageBox.cpp
  HelperProcess.cpp
  ControlPasswordInputDialog.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  Vidalia.h
  MainWindow.h
  VClickLabel.h
  VidaliaWindow.h
  VMessageBox.h
  HelperProcess.h
  ControlPasswordInputDialog.h
)
if (USE_BREAKPAD)
  set(vidalia_SRCS ${vidalia_SRCS}
    CrashReporter.cpp
  )
endif(USE_BREAKPAD)

## Specify all the Qt Designer .ui files
qt4_wrap_ui(vidalia_SRCS
  ControlPasswordInputDialog.ui
  MainWindow.ui
  about/AboutDialog.ui
  about/LicenseDialog.ui
  bwgraph/BandwidthGraph.ui
  config/AdvancedPage.ui
  config/AppearancePage.ui
  config/BridgeDownloaderProgressDialog.ui
  config/BridgeUsageDialog.ui
  config/ConfigDialog.ui
  config/GeneralPage.ui
  config/NetworkPage.ui
  config/ServerPage.ui
  config/ServicePage.ui
  config/TorrcDialog.ui
  help/browser/HelpBrowser.ui
  log/MessageLog.ui
  network/NetViewer.ui
  network/RouterInfoDialog.ui
)

if (USE_MINIUPNPC)
  qt4_wrap_ui(vidalia_SRCS config/UPNPTestDialog.ui)
endif(USE_MINIUPNPC)

if (USE_AUTOUPDATE)
  set(vidalia_SRCS ${vidalia_SRCS}
    PackageInfo.cpp
    UpdateProcess.cpp
    UpdateProgressDialog.cpp
    UpdatesAvailableDialog.cpp
  )
  qt4_wrap_cpp(vidalia_SRCS
    UpdateProcess.h
    UpdateProgressDialog.h
    UpdatesAvailableDialog.h
  )
  qt4_wrap_ui(vidalia_SRCS
    UpdateProgressDialog.ui
    UpdatesAvailableDialog.ui
  )
endif(USE_AUTOUPDATE)

## Add the resource files (icons, etc.)
qt4_add_resources(vidalia_SRCS
  res/vidalia.qrc
  help/content/content.qrc
  ${CMAKE_CURRENT_BINARY_DIR}/i18n/vidalia_i18n.qrc
)

## Specify the map data Marble will need
set(marble_DATA
  landcolors.leg
  seacolors.leg
  maps/earth/bluemarble/bluemarble.dgml
  maps/earth/citylights/citylights.dgml
  maps/earth/srtm/srtm.dgml
  maps/earth/srtm/srtm.jpg
  mwdbii/DATELINE.PNT
  mwdbii/PAUST.PNT
  mwdbii/PBORDER.PNT
  mwdbii/PCANPROV.PNT
  mwdbii/PCOAST.PNT
  mwdbii/PDIFFBORDER.PNT
  mwdbii/PGLACIER.PNT
  mwdbii/PISLAND.PNT
  mwdbii/PLAKE.PNT
  mwdbii/PLAKEISLAND.PNT
  mwdbii/PMEXICO.PNT
  mwdbii/PUSA48.DIFF.PNT
  mwdbii/PUSA48.PNT
  mwdbii/RIVER.PNT
  placemarks/baseplacemarks.cache
  placemarks/boundaryplacemarks.cache
  placemarks/elevplacemarks.cache
  stars/stars.dat
  svg/worldmap.svg
)

## Set the appropriate executable target for the current platform
if (APPLE)
  ## Set the output file name (make it uppercase on OS X)
  set(vidalia_BIN Vidalia)
  
  ## Create an OS X application bundle
  set(MACOSX_BUNDLE_BUNDLE_NAME           Vidalia)
  set(MACOSX_BUNDLE_BUNDLE_VERSION        ${VERSION})
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING  ${VERSION})
  set(MACOSX_BUNDLE_LONG_VERSION_STRING   "Version ${VERSION}")
  set(MACOSX_BUNDLE_ICON_FILE             vidalia.icns)
  set(MACOSX_BUNDLE_GUI_IDENTIFIER        "net.vidalia-project.vidalia")
  set(MACOSX_BUNDLE_INFO_STRING           "Vidalia ${VERSION}")

  ## Put everything inside the application bundle
  set(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}/)
  add_executable(${vidalia_BIN} MACOSX_BUNDLE ${vidalia_SRCS})

  ## Specify location of custom Info.plist file 
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/MacOSXBundleInfo.plist.in
                 ${CMAKE_CURRENT_BINARY_DIR}/MacOSXBundleInfo.plist)
  set_target_properties(${vidalia_BIN} PROPERTIES MACOSX_BUNDLE_INFO_PLIST 
                        ${CMAKE_CURRENT_BINARY_DIR}/MacOSXBundleInfo.plist)

  ## Get the location of the app bundle for the current configuration
  get_target_property(VIDALIA_EXECUTABLE ${vidalia_BIN} LOCATION)
  get_filename_component(MACOSX_BUNDLE_DIRECTORY ${VIDALIA_EXECUTABLE} PATH)
  get_filename_component(MACOSX_BUNDLE_DIRECTORY "${MACOSX_BUNDLE_DIRECTORY}/../../" ABSOLUTE)

  ## Include the bundle resource files
  add_custom_command(TARGET ${vidalia_BIN} POST_BUILD
    COMMAND ${CMAKE_COMMAND}
      ARGS -E make_directory ${MACOSX_BUNDLE_DIRECTORY}/Contents/Resources
    COMMAND ${CMAKE_COMMAND}
      ARGS -E make_directory ${MACOSX_BUNDLE_DIRECTORY}/share/tor
    COMMAND cp
      ARGS ${CMAKE_CURRENT_SOURCE_DIR}/res/icons/*.icns 
           ${MACOSX_BUNDLE_DIRECTORY}/Contents/Resources/
  )

  if (USE_MARBLE)
    ## Copy the Marble data into the bundle
    foreach(it ${marble_DATA})
      get_filename_component(outdir  ${it} PATH)
      get_filename_component(outfile ${it} NAME)
      set(outdir ${MACOSX_BUNDLE_DIRECTORY}/Contents/Resources/data/${outdir})

      add_custom_command(TARGET ${vidalia_BIN} POST_BUILD
        COMMAND ${CMAKE_COMMAND}
          ARGS -E make_directory ${outdir}
        COMMAND ${CMAKE_COMMAND}
          ARGS -E copy_if_different 
                ${MARBLE_DATA_DIR}/${it} ${outdir}/${outfile}
      )
    endforeach(it)

    ## Create the Marble plugins directory and copy in any wanted plugins
    if (MARBLE_PLUGINS)
      add_custom_command(TARGET ${vidalia_BIN} POST_BUILD
        COMMAND ${CMAKE_COMMAND}
          ARGS -E make_directory 
               ${MACOSX_BUNDLE_DIRECTORY}/Contents/Resources/plugins
      )
      foreach(it ${MARBLE_PLUGINS})
        add_custom_command(TARGET ${vidalia_BIN} POST_BUILD
          COMMAND ${CMAKE_COMMAND}
            ARGS -E copy_if_different ${it}
             ${MACOSX_BUNDLE_DIRECTORY}/Contents/Resources/plugins/
        )
      endforeach(it)
    endif(MARBLE_PLUGINS)
  endif(USE_MARBLE)
else(APPLE)
  ## Set the output file name
  set(vidalia_BIN vidalia)

  if (WIN32)
    ## Create a Windows binary
    win32_add_rc(vidalia_SRCS res/vidalia_win.rc)
    add_executable(${vidalia_BIN} WIN32 ${vidalia_SRCS})

    ## Copy the Marble data into the data/ directory under the binary
    if (USE_MARBLE)
      foreach(it ${marble_DATA})
        get_filename_component(outdir  ${it} PATH)

=== src/tools/po2wxl/CMakeLists.txt ===
##
##  $Id$
## 
##  This file is part of Vidalia, and is subject to the license terms in the
##  LICENSE file, found in the top level directory of this distribution. If 
##  you did not receive the LICENSE file with this file, you may obtain it
##  from the Vidalia source package distributed by the Vidalia Project at
##  http://www.torproject.org/projects/vidalia.html. No part of Vidalia, 
##  including this file, may be copied, modified, propagated, or distributed 
##  except according to the terms described in the LICENSE file.
##

## po2wxl source files
set(po2wxl_SRCS
  po2wxl.cpp
)

## Create the po2wxl executable
add_executable(po2wxl ${po2wxl_SRCS})

## Link the executable with the appropriate Qt libraries
target_link_libraries(po2wxl
  ${QT_QTCORE_LIBRARY}
  ${QT_QTXML_LIBRARY}
)

## Remember the location of po2wxl so we can use it in custom commands
get_target_property(PO2WXL_EXECUTABLE po2wxl LOCATION)
set(VIDALIA_PO2WXL_EXECUTABLE ${PO2WXL_EXECUTABLE}
    CACHE STRING "Location of Vidalia's po2wxl converter." FORCE)

=== debian/changelog ===
vidalia (0.2.15-1) unstable; urgency=low

  * New upstream release.

 -- Ulises Vitulli <dererk@debian.org>  Tue, 15 Nov 2011 17:14:07 -0300

vidalia (0.2.14-3) unstable; urgency=low

  * Moved debconf actions from config to postinst script (Closes: #641044).
  * Remove deprecated files that enforced Tor not to start after having
    chosen to do so. This comes from the older approach to control Tor
    (Closes: #642223).
  * Added debconf templates translations:
    - French, thanks Christian Perrier (Closes: #640769).
    - German, thanks Martin.E.Schauer (Closes: #641920).

 -- Ulises Vitulli <dererk@debian.org>  Mon, 19 Sep 2011 12:05:30 -0300

vidalia (0.2.14-2) unstable; urgency=low

  * The 'Napoleon-Of-Crime' dupload.
  * Tor's ControlSocket enabled version upload allowed to port exp 
    changes to handle socket com out of the box (Closes: #640077).

 -- Ulises Vitulli <dererk@debian.org>  Sat, 03 Sep 2011 15:47:23 -0300

vidalia (0.2.14-1) unstable; urgency=low

  * The 'Monday-Rocking-Skiing' dupload.
  * New upstream release. 
  * Improve building targets for simplifying portscripts.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 29 Aug 2011 09:43:47 -0300

=== debian/control ===
Source: vidalia
Section: net
Priority: extra
Maintainer: Vern Sun <s5unty@gmail.com>
Uploaders: Ulises Vitulli <dererk@debian.org>, Erinn Clark <erinn@torproject.org>
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, libqt4-dev (>= 4.1.0), po-debconf (>= 1.0), cmake (>= 2.4.8), libssl-dev (>= 0.9.8g)
Standards-Version: 3.9.2.0
Homepage: https://www.torproject.org/projects/vidalia
Vcs-Git: git://git.debian.org/collab-maint/vidalia.git/
Vcs-Browser: http://git.debian.org/?p=collab-maint/vidalia.git

Package: vidalia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>=1.5.11) | debconf-2.0,
 ucf, adduser, tor (>= 0.2.2.29-beta-1)
Suggests: iceweasel-torbutton
Description: controller GUI for Tor
 Vidalia offers a graphical user interface to start and stop Tor, view
 its status at a glance, and monitor its bandwidth usage.
 .
 Vidalia also makes it easy to contribute to
 the Tor network by helping you set up a Tor server.
 .
 Tor protects privacy in communications via a distributed network of
 relays run by volunteers all around the world: it prevents anybody
 watching Internet connections from learning what sites you visit,
 and it prevents the visited sites from learning your physical
 location. Tor works with web browsers, instant messaging programs,
 remote login clients, and many other TCP-based applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp
	
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	mkdir -p debian/build;
	cd debian/build; \
		cmake -DCMAKE_INSTALL_PREFIX=/usr \
			-DQT_LRELEASE_EXECUTABLE=/usr/bin/lrelease-qt4 \
			-QT_LUPDATE_EXECUTABLE=/usr/bin/lupdate-qt4 ../.. ;\
		make
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp CMakeCache.txt doc/Doxyfile \
		doc/vidalia.1 src/vidalia/res/vidalia_win.rc 
	rm -rf debian/build CMakeFiles
	for f in src/vidalia/i18n/*.qm; do\
		rm -rf $$f; \
	done
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs usr/share/pixmaps
	# Install the package
	cd debian/build; \
		make install DESTDIR=$(CURDIR)/debian/vidalia

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installchangelogs CHANGELOG
	dh_installman doc/vidalia.1
	dh_installdebconf
	dh_installmenu
	dh_link
	dh_strip
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
# avoid evaluating development releases (0.2.x branches)
opts=uversionmangle=s/0\.2\./~pre/ \
	http://www.torproject.org/vidalia/dist/vidalia-(.*)\.tar\.gz

## vidalia 0.2.20

=== CMakeLists.txt ===
##
##  $Id$
##
##  This file is part of Vidalia, and is subject to the license terms in the
##  LICENSE file, found in the top level directory of this distribution. If
##  you did not receive the LICENSE file with this file, you may obtain it
##  from the Vidalia source package distributed by the Vidalia Project at
##  http://www.torproject.org/projects/vidalia.html. No part of Vidalia,
##  including this file, may be copied, modified, propagated, or distributed
##  except according to the terms described in the LICENSE file.
##


set(VER_MAJOR   "0")
set(VER_MINOR   "2")
set(VER_PATCH   "20")
set(VERSION     "${VER_MAJOR}.${VER_MINOR}.${VER_PATCH}")
message(STATUS  "Configuring Vidalia ${VERSION}")
project(Vidalia)

## Specify the minimim required CMake version
cmake_minimum_required(VERSION 2.4.7)
if (COMMAND cmake_policy)
  # Force CMake 2.4 compatibility for handling linker search paths
  cmake_policy(SET CMP0003 OLD)
endif(COMMAND cmake_policy)

## We declare this option here, because it determines the minimum
## required Qt version
option(USE_MARBLE "Enable the KDE Marble-based map widget." OFF)

## Specify the minimum version of Qt required
set(QT_MIN_VERSION    "4.3.0")

## Specify the Qt libraries used
include(FindQt4)
find_package(Qt4 REQUIRED)
set(QT_USE_QTNETWORK  true)
set(QT_USE_QTXML      true)
if (USE_MARBLE)
  set(QT_USE_QTSVG    true)
  set(QT_USE_QTWEBKIT true)
  set(QT_USE_QTSCRIPT true)
  set(QT_USE_QTDBUS   true)
endif(USE_MARBLE)
include(${QT_USE_FILE})
include(${CMAKE_SOURCE_DIR}/cmake/VidaliaMacros.cmake)
include(CheckIncludeFile)
include(CheckIncludeFileCXX)
include(CheckTypeSize)
include(CheckFunctionExists)
if (WIN32)
  include(${CMAKE_SOURCE_DIR}/cmake/FindWiX.cmake)
endif(WIN32)

if(MSVC_IDE)
    set(CMAKE_SUPPRESS_REGENERATION TRUE)
    set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
    set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
endif(MSVC_IDE)

## Define Vidalia-specific CMake options
if (APPLE)
  option(OSX_TIGER_COMPAT "Build an OS X 10.4 Compatible Vidalia." OFF)
  if (OSX_TIGER_COMPAT)
    set(CMAKE_EXE_LINKER_FLAGS "-mmacosx-version-min=10.4"
      CACHE STRING "Flags used by the linker." FORCE)
    set(CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.4u.sdk"
      CACHE STRING "isysroot used for universal binary support" FORCE)
  endif(OSX_TIGER_COMPAT)

  option(OSX_FAT_BINARY "Build Vidalia as a Universal binary." OFF)
  if (OSX_FAT_BINARY)
    set(CMAKE_OSX_ARCHITECTURES "ppc;i386"
        CACHE STRING "OS X build architectures" FORCE)
    set(CMAKE_EXE_LINKER_FLAGS "-mmacosx-version-min=10.4"
        CACHE STRING "Flags used by the linker." FORCE)
    set(CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.4u.sdk"
        CACHE STRING "isysroot used for universal binary support" FORCE)
  endif(OSX_FAT_BINARY)

  option(OSX_FORCE_32BIT "Force a 32-bit build for compatibility." OFF)
  if (OSX_FORCE_32BIT)
    add_definitions(-m32)
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -m32"
        CACHE STRING "Flags used by the linker." FORCE)
  endif(OSX_FORCE_32BIT)
endif(APPLE)

## Define if compiled with Windows 2k support
option(WIN2K "Enable Windows 2k support." OFF)

## UPnP support is currently optional (enabled by default)
option(USE_MINIUPNPC "Enable UPnP support using the MiniUPnPc library." ON)

## Crash reporting via Google Breakpad is optional (disabled by default)
option(USE_BREAKPAD "Enable Google Breakpad crash reporting." OFF)
if (USE_BREAKPAD)
  include(${CMAKE_SOURCE_DIR}/cmake/FindBreakpad.cmake)
endif(USE_BREAKPAD)

## Automatic software update is optional (disabled by default)
if (WIN32)
  option(USE_AUTOUPDATE "Enable automatic software update support." OFF)
endif(WIN32)

## Find the KDE Marble library
if (USE_MARBLE)
  include(${CMAKE_SOURCE_DIR}/cmake/FindMarble.cmake)
endif(USE_MARBLE)

## Find the MaxMind GeoIP library
option(USE_GEOIP "Enable GeoIP lookups via a local MaxMind database" OFF)
if (USE_GEOIP)
  include(${CMAKE_SOURCE_DIR}/cmake/FindGeoIP.cmake)
endif(USE_GEOIP)

## Check for system header files
check_include_file("limits.h" HAVE_LIMITS_H)
check_include_file("sys/limits.h" HAVE_SYS_LIMITS_H)
check_include_file("signal.h" HAVE_SIGNAL_H)

## Check for the sizes of various data types
check_type_size(int SIZEOF_INT)

## Check for the existence of some platform-specific functions
if (HAVE_SIGNAL_H)
  set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} "signal.h")
  check_function_exists(sigaction HAVE_SIGACTION)
  check_function_exists(signal HAVE_SIGNAL)
endif(HAVE_SIGNAL_H)

## Write out a configuration file
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/config.h
)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

## Add the actual source directories
add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(pkg)

=== debian/changelog ===
vidalia (0.2.20-2) unstable; urgency=low

  * New patches cherry-picked from upstream 0.2.21:
    - Fix-wrong-uptime-bandwidth-in-relay-list.patch (Closes: #699178)
      This is upstream commit b3d4f7f with the changes/* file removed.
    - Populate-the-relay-list-at-startup.patch (Closes: #699179)
      This is taken from upstream commit b00f51dc, but with the fix for
      upstream Trac#6482 (that doesn't seem worth a freeze exception) and
      the changes/* file removed.

 -- intrigeri <intrigeri@debian.org>  Sat, 02 Feb 2013 17:02:01 +0100

vidalia (0.2.20-1) unstable; urgency=low

  [ Ulises Vitulli ]
  * New upstream release, fixes several bugs:
    - Append router status information if Tor is using microdescriptors, this
      bug produced empty nodes lists and their interactions (Closes: #680489).
    - Display paths with their native separators. (Fixes upstream Trac#4337).
    - Do not ignore the Show on Startup checkbox. (Fixes upstream Trac#5351).
    - Do not add relative root to DataDirectory if it is empty. 
      (Fixes upstream Trac#6178).

  [ intrigeri ]
  * AppArmor profile: add a missing credential, allow Vidalia
    to write its own configuration (Closes: #681365).

 -- Ulises Vitulli <dererk@debian.org>  Fri, 13 Jul 2012 20:20:45 -0300

vidalia (0.2.19-2) unstable; urgency=low

  * Moved apparmor from runtime dep to a suggested one (Closes: #678549).
  * Clarify apparmor current Wheezy state at README.Debian (Closes: #678550).
  * Added intrigeri as Uploader.

 -- Ulises Vitulli <dererk@debian.org>  Sat, 23 Jun 2012 19:00:41 -0300

vidalia (0.2.19-1) unstable; urgency=low

  [ intrigeri ]
  * Imported Upstream version 0.2.19
  * Install AppArmor profile.
  * Enable hardening flags.

  [ Ulises Vitulli ]
  * Added runtime dependency on apparmor.
  * Updated d/NEWS and d/README.Debian to reflect new features.
  * Move dirs from d/rules to d/vidalia.dir.
  * Updated Standard-version to 3.9.3 (no changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Fri, 22 Jun 2012 07:18:44 -0300

vidalia (0.2.17-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/NEWS with a known release point bug.
  * Updated debian/README.Debian documentation (Closes: #654642).
  * Debconf templates improves, translation round called:
    - Czech, thanks Martin.Šín (Closes: #654709).
    - Danish, thanks Joe.Dalton (Closes: #654820).
    - Russian, thanks Yuri.Kozlov (Closes: #654842).
    - Portuguese, thanks Miguel.Figueiredo (Closes: #654981).
    - Swedish, thanks Martin.Bagge (Closes: #655046). 
    - Dutch, thanks Jeroen.Schot (Closes: #655319).
    - French, thanks Christian.Perrier (Closes: #655546).
    - German, thanks Martin.E.Schauer (Closes: #656123).
    - Indonesian, new translation added, thanks Mahyuddin.Susanto 
      (Closes: #658705). 
    - Simplified and Traditional Chinese, thanks Vern.Sun.
    - Spanish.
  * Updated Maintainer/Uploader fields.

 -- Ulises Vitulli <dererk@debian.org>  Sat, 11 Feb 2012 22:26:58 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: vidalia
 Section: net
 Priority: extra
-Maintainer: Vern Sun <s5unty@gmail.com>
-Uploaders: Ulises Vitulli <dererk@debian.org>, Erinn Clark <erinn@torproject.org>
-Build-Depends: debhelper (>= 6.0.7~), autotools-dev, libqt4-dev (>= 4.1.0), po-debconf (>= 1.0), cmake (>= 2.4.8), libssl-dev (>= 0.9.8g)
-Standards-Version: 3.9.2.0
+Maintainer: Ulises Vitulli <dererk@debian.org>
+Uploaders: Vern Sun <s5unty@gmail.com>, intrigeri <intrigeri@debian.org>
+Build-Depends: debhelper (>= 6.0.7~), dh-apparmor, autotools-dev, libqt4-dev (>= 4.1.0), po-debconf (>= 1.0), cmake (>= 2.4.8), libssl-dev (>= 0.9.8g), dpkg-dev (>= 1.16.1.1~)
+Standards-Version: 3.9.3
 Homepage: https://www.torproject.org/projects/vidalia
 Vcs-Git: git://git.debian.org/collab-maint/vidalia.git/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/vidalia.git
@@ -13,7 +13,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>=1.5.11) | debconf-2.0,
  ucf, adduser, tor (>= 0.2.2.29-beta-1)
-Suggests: iceweasel-torbutton
+Suggests: iceweasel-torbutton, apparmor
 Description: controller GUI for Tor
  Vidalia offers a graphical user interface to start and stop Tor, view
  its status at a glance, and monitor its bandwidth usage.
